Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 611458 - perl-5.12.1-123.fc14 fail to build on s390 and s390x
perl-5.12.1-123.fc14 fail to build on s390 and s390x
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
14
All Linux
low Severity urgent
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 06:57 EDT by Karsten Hopp
Modified: 2011-02-07 03:40 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-04 11:29:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2010-07-05 06:57:22 EDT
Description of problem:
perl-5.12.1-123.fc14 fails to build on s390 and s390x.
https://s390.koji.fedoraproject.org/koji/getfile?taskID=177163&name=build.log
shows that the build aborts with a glibc memory corruption during the tests



Version-Release number of selected component (if applicable):
perl-5.12.1-123.fc14

How reproducible:
every time

Additional info:
perl-5.12.0-122.fc14 fails to build with a similar error, the latest perl package known to build is perl-5.10.1-118.fc14
Comment 3 Marcela Mašláňová 2010-07-07 08:25:02 EDT
It's failing not only on s390. It failed also on my laptop with glibc-2.12-2.x86_64. The build of perl-5.12.1 pass in koji in rawhide, where is glibc 2.12.90. I'm investigating whether the problem is with glibc or in perl.
Comment 4 Karsten Hopp 2010-07-08 07:44:10 EDT
The s390 build failed with glibc-2.12.90-4.
Andreas, any idea what's going on here ?
Comment 5 Andreas Schwab 2010-07-08 10:44:25 EDT
Fix the memory corruption.
Comment 6 Karsten Hopp 2010-07-08 15:57:05 EDT
This looks like a completely different problem and probably isn't even a memory corruption. I suspect something is going wrong in the self checks and the buildroot perl gets executed with LD_PRELOAD libperl.so from the new perl. 
I was able to build perl-5.12.1 without the selfchecks and then could build the real perl-5.12.1 with the temporary perl packages (those without the self checks).
Comment 7 Bug Zapper 2010-07-30 08:26:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Iain Arnell 2011-02-04 11:29:11 EST
There are lots of perl builds in s390 koji since last July, including perl-5.12.1-123.fc14. Presumably this can simply be closed.
Comment 9 Marcela Mašláňová 2011-02-07 03:40:33 EST
It couldn't be built probably because of test, which needs current perl build, but it was using buildroot's perl5.10 build. This is often bug with new release and I have no idea, which one made this problem this time.

Note You need to log in before you can comment on or make changes to this bug.